﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AsteroidLauncher : MonoBehaviour
{
    [SerializeField] GameObject asteroidPrefab;
    [SerializeField] Transform asteroidSpawnPosition;

    [SerializeField] PlayerResources _playerResources;
    [SerializeField] float launchVelocity;
    [SerializeField] Vector3 spawnDirection;
    // Start is cal led before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        if(Input.GetKeyDown(KeyCode.Space))
        {
            if(_playerResources.MagmaStored > 0)
            {
                StartCoroutine(SpawnAsteroid());
                _playerResources.MagmaStored --;
            }
            if(_playerResources.MagmaStored <= 0)
            {
                Debug.Log("Not enough magma fool!");
            }
        }
    }

    IEnumerator SpawnAsteroid()
    {
        GameObject clone = Instantiate(asteroidPrefab, asteroidSpawnPosition.position, asteroidSpawnPosition.transform.rotation);
        Rigidbody cloneRB = clone.GetComponent<Rigidbody>();
        cloneRB.drag = 0f;
        cloneRB.AddRelativeForce(spawnDirection * launchVelocity);
        yield return new WaitForSeconds(1.5f);
        //cloneRB.drag = 0f;

    }

    
}
