﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraFollow : MonoBehaviour
{
    [SerializeField] Transform followTarget;
    [SerializeField] public Vector3 cameraOffset;
    public float shakeDuration = 0f;
    public float shakeAmount;

    public float decreaseFactor = 1f;
    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        transform.position = followTarget.position + cameraOffset;
    }

    private void LateUpdate() 
    {
        if(shakeDuration >0)
        {
            transform.position = followTarget.position + cameraOffset + Random.insideUnitSphere * shakeAmount;
			
			shakeDuration -= Time.deltaTime * decreaseFactor;
        }
        else
        {
            shakeDuration = 0f;
            transform.position = followTarget.position + cameraOffset;
        }
    }
}
