﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Scrap : MonoBehaviour
{
    public float maxRepairValue;
    public float minRepairValue;
    [SerializeField] ParticleSystem repairParticle;
    // Start is called before the first frame update


    private void OnCollisionEnter(Collision other) 
    {
        if(other.gameObject.CompareTag("Damageable"))
        {
            other.transform.GetComponentInParent<HealthSystem>().Repair(Random.Range(minRepairValue,maxRepairValue));
            Instantiate(repairParticle, transform.position, transform.rotation);
            Destroy(this.gameObject);
        }
        
    }
}
