﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ControllerRotater : MonoBehaviour
{
    [SerializeField] Vector3 rotation;
    [SerializeField] float moveSpeed;
    [SerializeField] float aimAngle;
    [SerializeField] float turnSpeed;
    [SerializeField] float horizontal;
    [SerializeField] float vertical;
    Quaternion aimRotation;
    Rigidbody m_rigidbody;
    // Start is called before the first frame update
    void Start()
    {
       m_rigidbody = GetComponent<Rigidbody>();
    }

    // Update is called once per frame
    void Update()
    {
        if(Input.GetButton("Fire1"))
        {
             m_rigidbody.AddRelativeForce(Vector3.right * 10f);
             //m_rigidbody.AddForce(Vector3.right * 10f);
        }

        horizontal = Input.GetAxis("Horizontal");
        vertical = Input.GetAxis("Vertical");
        aimAngle = Mathf.Atan2(horizontal, vertical) * Mathf.Rad2Deg;
        if(horizontal != 0 || vertical != 0)
        {
            aimRotation = Quaternion.AngleAxis(aimAngle -90f, Vector3.back);
            //transform.rotation = Quaternion.Slerp(transform.rotation, aimRotation, turnSpeed * Time.deltaTime);
            transform.rotation = Quaternion.RotateTowards(transform.rotation, aimRotation, turnSpeed * Time.deltaTime);
            //m_rigidbody.AddRelativeForce(Vector3.right * moveSpeed);
        }
        //aimRotation = Quaternion.AngleAxis(aimAngle, Vector3.forward);
        //transform.rotation = Quaternion.RotateTowards(transform.rotation, aimRotation, turnSpeed * Time.deltaTime);
    }
}
