﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerControls : MonoBehaviour
{
    [SerializeField] float playerMovementSpeed;
    [SerializeField] float playerRotationSpeed;
    Rigidbody playerRB;
    float horizontal;
    float vertical;
    Vector3 moveDirection;
    [SerializeField] Vector3 lookDirection;
    [SerializeField] float angle;
    // Start is called before the first frame update
    void Start()
    {
        playerRB = GetComponent<Rigidbody>();
    }

    // Update is called once per frame
    void Update()
    {

        
        float horizontal = Input.GetAxis("Horizontal");
        float vertical = Input.GetAxis("Vertical");
        float horizontalRight = Input.GetAxis("RightStickHorizontal");
        float verticalRight = Input.GetAxis("RightStickVertical");

        moveDirection = new Vector3(Input.GetAxis("Horizontal"), Input.GetAxis("Vertical"),0);
        lookDirection = new Vector3(-horizontalRight, -verticalRight, 0);


        float R_analog_threshold = 0.10f;
 
         if (Mathf.Abs(verticalRight) < R_analog_threshold) {verticalRight = 0.0f;} 
 
         if (Mathf.Abs(horizontalRight) < R_analog_threshold) {horizontalRight = 0.0f;} 
 
         // CALCULATE ANGLE AND ROTATE
         if (verticalRight != 0.0f || horizontalRight != 0.0f)
         {
             angle = Mathf.Atan2(horizontalRight, -verticalRight) * Mathf.Rad2Deg;
            transform.rotation = Quaternion.AngleAxis(-angle, Vector3.forward);
         }
    }

    void Rotate()
    {

    }


    void FixedUpdate() 
    {
        playerRB.AddForce(moveDirection * playerMovementSpeed);
    }
}
